Bug 182735 - beagle-live doesn't work (tries to import beagle.py in the same directory)
beagle-live doesn't work (tries to import beagle.py in the same directory)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: deskbar-applet (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 07:43 EST by Rouquier Philippe
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 01:50:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rouquier Philippe 2006-02-24 07:43:24 EST
Description of problem:
beagle-live doesn't work.

It seems that "import beagle" (line 12) in beagle-live.py tries to import the
beagle.py  provided by deskbar-applet (which is in the same directory) instead
of beagle bindings in site-packages. If you rename beagle.py (the
deskbar-applet's one) to beagle-real.py (or whatever else) it works like a charm.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Raphael Slinckx 2006-02-28 08:22:08 EST
This is weird, i can rename the file, it's not really a problem..
Comment 2 Rouquier Philippe 2006-02-28 08:28:11 EST
(In reply to comment #1)
> This is weird, i can rename the file, it's not really a problem..

what do you mean? do you mean beagle-live.py works for you whether beagle.py is
renamed or not?
Comment 3 Raphael Slinckx 2006-02-28 08:38:03 EST
Yes, maybe the beagle.py is loaded before your beagle-live.py, and when trying
to load beagle.py in beagle-live it uses the preloaded beagle.py, instead of the
system beagle.py, which doesn't happen if the beagle-live.py is loaded before
the beagle.py :)

Anyway, a renaming will suffice to solve that problem with no side effects
Comment 4 Luís Pureza 2006-02-28 12:23:14 EST
Same thing happened here. Renaming worked.
Comment 5 Raphael Slinckx 2006-02-28 18:56:49 EST
Made the change in CVS, will be in next release, thanks for the report !

Note You need to log in before you can comment on or make changes to this bug.